OGRE-Next: Ogre::Volume::CSGPlaneSource Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Volume::CSGPlaneSource Class Reference

A plane. More...

`#include <OgreVolumeCSGSource.h>`

Inheritance diagram for Ogre::Volume::CSGPlaneSource:
[legend]

## Public Member Functions
| CSGPlaneSource (const Real d, const Vector3 &normal)
| Constructor.
virtual Real | getValue (const Vector3 &position) const
| Overridden from Source.
virtual Vector4 | getValueAndGradient (const Vector3 &position) const
| Overridden from Source.
Public Member Functions inherited from Ogre::Volume::Source
virtual | ~Source ()
| Destructor.
bool | getFirstRayIntersection (const Ray &ray, Vector3 &result, Real scale=(Real) 1.0, size_t maxIterations=5000, Real maxDistance=(Real) 10000.0) const
| Gets the first intersection of a ray with the volume.
Real | getVolumeSpaceToWorldSpaceFactor () const
| Gets a factor to come from volume coordinate to world coordinate.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, const String &file)
| Serializes a volume source to a discrete grid file with deflated compression.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, Real maxClampedAbsoluteDensity, const String &file)
| Same as the other serialize function but with a user definable maximum absolute density value.

## Additional Inherited Members
Static Public Attributes inherited from Ogre::Volume::Source
static const size_t | SERIALIZATION_CHUNK_SIZE
| The amount of items being written as one chunk during serialization.
static const uint32 | VOLUME_CHUNK_ID
| The id of volume files.
static const uint16 | VOLUME_CHUNK_VERSION
| The version of volume files.

## Detailed Description

A plane.

## Constructor & Destructor Documentation

## ◆ CSGPlaneSource()

Ogre::Volume::CSGPlaneSource::CSGPlaneSource | ( | const Real | d,
|  | const Vector3 & | normal )

Constructor.

Parameters

  d | The distance to zero of the plane.
  normal | The planes normal.

## Member Function Documentation

## ◆ getValue()

virtual Real Ogre::Volume::CSGPlaneSource::getValue | ( | const Vector3 & | position | ) | const
| virtual

Overridden from Source.

Implements Ogre::Volume::Source.

## ◆ getValueAndGradient()

virtual Vector4 Ogre::Volume::CSGPlaneSource::getValueAndGradient | ( | const Vector3 & | position | ) | const
| virtual

Overridden from Source.

Implements Ogre::Volume::Source.

The documentation for this class was generated from the following file:

- OgreVolumeCSGSource.h